//
//  ToolBarWithCursorViewController.m
//  ToolBarWithCursor
//
//  Created by To Yuichiro on 12/07/01.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import "ToolBarWithCursorViewController.h"

@interface ToolBarWithCursorViewController ()

@end

@implementation ToolBarWithCursorViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    [self.navigationItem setTitle:@"ToolBarWithCursor"];
    
    // Toolbar
    UIBarButtonItem *space = [[[UIBarButtonItem alloc]initWithBarButtonSystemItem:UIBarButtonSystemItemFlexibleSpace target:nil action:nil]autorelease];
    
    UIImage *image1 = [UIImage imageNamed:@"left.png"];
    UIBarButtonItem *icon1 = [[[UIBarButtonItem alloc]initWithImage:image1 style:UIBarButtonItemStylePlain
                                                             target:self action:@selector(leftBtnPressed:)]autorelease];
    
    UIImage *image2 = [UIImage imageNamed:@"right.png"];
    UIBarButtonItem *icon2 = [[[UIBarButtonItem alloc]initWithImage:image2 style:UIBarButtonItemStylePlain
                                                             target:self action:@selector(rightBtnPressed:)]autorelease];
    
    self.navigationController.toolbarHidden = NO;
    NSArray *icons = [NSArray arrayWithObjects:space, icon1, space, icon2, space, nil];
    [self setToolbarItems:icons];    
}

-(void)leftBtnPressed:(id)sender {
    NSLog(@"%s", __PRETTY_FUNCTION__);
}

-(void)rightBtnPressed:(id)sender {
    NSLog(@"%s", __PRETTY_FUNCTION__);
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

@end
